# $Revision: 1.90 $, $Date: 2011/09/10 13:04:51 $
#
# Conditional build:
%bcond_with	working_history	# compiles tcsh with timestamps in
				# ~/.history file so it serves any real purpose (which
				# is not the case for default PLD tcsh)
%bcond_without	static		# don't build static version
#
Summary:	Enhanced c-shell
Summary(de.UTF-8):	Erweiterte C-Shell
Summary(es.UTF-8):	C-shell mejorada
Summary(fr.UTF-8):	Shell C amélioré
Summary(ko.UTF-8):	csh의 향상된 버전
Summary(pl.UTF-8):	Zaawansowany C-shell
Summary(pt_BR.UTF-8):	C-shell melhorada
Summary(ru.UTF-8):	Улучшеная версия csh
Summary(tr.UTF-8):	Gelişmiş c-kabuğu (c-shell)
Summary(uk.UTF-8):	Покращена верся csh
Name:		tcsh
Version:	6.17.00
Release:	6
License:	distributable
Group:		Applications/Shells
Source0:	ftp://ftp.astron.com/pub/tcsh/%{name}-%{version}.tar.gz
# Source0-md5:	c47de903e3d52f6824c8dd0c91eeb477
Source1:	csh.cshrc
Source2:	csh.login
Source3:	%{name}-skel-.login
Patch0:		%{name}-misc.patch
Patch1:		%{name}-termios.patch
Patch2:		%{name}-no-timestamp-history.patch
Patch3:		%{name}-time.patch
Patch4:		%{name}-rlimit_locks.patch
Patch5:		%{name}-no_TERMCAP.patch
Patch6:		%{name}-nls-codesets.patch
Patch7:		%{name}-sysmalloc.patch
URL:		http://www.tcsh.org/Home
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	groff
# for gencat
BuildRequires:	iconv
BuildRequires:	ncurses-devel >= 5.0
%if %{with static}
BuildRequires:	glibc-static
BuildRequires:	ncurses-static
%endif
Requires(post,preun):	grep
Requires(preun):	fileutils
Provides:	csh
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_bindir		/bin

%description
'tcsh' is an enhanced version of csh (the C shell), with additional
features such as command history, filename completion, and fancier
prompts.

%description -l de.UTF-8
'tcsh' ist eine erweiterte Version von csh (der C-Shell) mit
zusätzlichen Funktionen wie Befehlsgeschichte,
Dateinamenvervollständigung und attraktiveren Prompts.

%description -l es.UTF-8
"tcsh" es una versión mejorada de la csh (C shell), con
características adicionales como historia de los comandos, complemento
de nombre de archivo y prompts.

%description -l fr.UTF-8
'tcsh' est une version améliorée de csh (le shell C), avec des
fonctionnalités supplémentaires comme un historique des commandes, la
complétion des noms de fichiers, et des prompts sympas.

%description -l pl.UTF-8
Tcsh jest zaawansowaną wersją powłoki csh (C-shell), z różnorodnymi
udogodnieniami takimi jak historia komend itp.

%description -l pt_BR.UTF-8
"tcsh" é uma versão melhorada da csh (C shell), com características
adicionais como history dos comandos, complemento de nome de arquivo e
prompts.

%description -l ru.UTF-8
Это улучшенная версия csh (the C shell) с дополнительными
возможностями, такими как история комманд, дополнение имен файлов и
т.д.

%description -l tr.UTF-8
tcsh, csh'in (C kabuğu) gelişkin bir sürümüdür ve komut tarihçesi,
dosya adı tamamlama ve şık komut imleri gibi özellikler sunar.

%description -l uk.UTF-8
Це покращена версія csh (the C shell) з додатковими можливостями,
такими як історія команд, завершення імен файлів і т.і.

%package static
Summary:	Statically linked Enhanced c-shell
Summary(pl.UTF-8):	Skonsolidowana statycznie zaawansowana powłoka C
Group:		Applications/Shells
Requires(post,preun):	grep
Requires(preun):	fileutils
Requires:	%{name} = %{version}-%{release}

%description static
'tcsh' is an enhanced version of csh (the C shell), with additional
features such as command history, filename completion, and fancier
prompts.

This packege contains statically linked version of tcsh.

%description static -l pl.UTF-8
Tcsh jest zaawansowaną wersją powłoki csh (C-shell), z różnorodnymi
udogodnieniami takimi jak historia komend itp.

W tym pakiecie jest statycznie skonsolidowany tcsh.

%prep
%setup -q
%patch0 -p1
%patch1	-p1
%{!?with_working_history:%patch2 -p1}
%patch3	-p1
%patch4	-p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
cp /usr/share/automake/config.sub .
%{__aclocal}
%{__autoconf}
%configure
%if %{with static}
%{__make} \
	LDFLAGS="-static %{rpmldflags}" \
	LIBES="-lncurses -lcrypt"
mv -f tcsh tcsh.static
%endif
%{__make} \
	LDFLAGS="%{rpmldflags}" \
	LIBES="-lncurses -lcrypt"

%{__make} -C nls

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/skel,%{_mandir}/man1,%{_bindir}} \
	$RPM_BUILD_ROOT%{_datadir}/locale/{el,es,fr,it,ja}

%if %{with static}
install tcsh.static $RPM_BUILD_ROOT%{_bindir}
%endif
install tcsh $RPM_BUILD_ROOT%{_bindir}

install tcsh.man $RPM_BUILD_ROOT%{_mandir}/man1/tcsh.1
echo .so tcsh.1 > $RPM_BUILD_ROOT%{_mandir}/man1/csh.1

ln -sf tcsh $RPM_BUILD_ROOT%{_bindir}/csh
nroff -me eight-bit.me > eight-bit.txt

install %{SOURCE1} %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}
install %{SOURCE3} $RPM_BUILD_ROOT/etc/skel/.login

install tcsh.french.cat $RPM_BUILD_ROOT%{_datadir}/locale/fr/tcsh
install tcsh.italian.cat $RPM_BUILD_ROOT%{_datadir}/locale/it/tcsh
install tcsh.ja.cat $RPM_BUILD_ROOT%{_datadir}/locale/ja/tcsh
install tcsh.greek.cat $RPM_BUILD_ROOT%{_datadir}/locale/el/tcsh
install tcsh.spanish.cat $RPM_BUILD_ROOT%{_datadir}/locale/es/tcsh

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
if [ ! -f /etc/shells ]; then
	echo "%{_bindir}/tcsh" > /etc/shells
	echo "%{_bindir}/csh" >> /etc/shells
else
	grep -q '^%{_bindir}/tcsh$' /etc/shells || echo "%{_bindir}/tcsh" >> /etc/shells
	grep -q '^%{_bindir}/csh$' /etc/shells || echo "%{_bindir}/csh" >> /etc/shells
fi

%preun
umask 022
if [ "$1" = "0" ]; then
	grep -v '^%{_bindir}/t\?csh$' /etc/shells > /etc/shells.new
	mv -f /etc/shells.new /etc/shells
fi

%post static
umask 022
if [ ! -f /etc/shells ]; then
	echo "%{_bindir}/tcsh.static" > /etc/shells
else
	grep -q '^%{_bindir}/tcsh\.static$' /etc/shells || echo "%{_bindir}/tcsh.static" >> /etc/shells
fi

%preun static
umask 022
if [ "$1" = "0" ]; then
	grep -v '^%{_bindir}/tcsh\.static$' /etc/shells > /etc/shells.new
	mv -f /etc/shells.new /etc/shells
fi

%files
%defattr(644,root,root,755)
%doc NewThings FAQ eight-bit.txt complete.tcsh

%config(noreplace,missingok) %verify(not md5 mtime size) %{_sysconfdir}/csh.*
%config(noreplace,missingok) %verify(not md5 mtime size) /etc/skel/.login

%attr(755,root,root) %{_bindir}/csh
%attr(755,root,root) %{_bindir}/tcsh
%lang(fr) %{_datadir}/locale/fr/tcsh
%lang(it) %{_datadir}/locale/it/tcsh
%lang(ja) %{_datadir}/locale/ja/tcsh
%lang(el) %{_datadir}/locale/el/tcsh
%lang(es) %{_datadir}/locale/es/tcsh
%{_mandir}/man1/*

%if %{with static}
%files static
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/tcsh.static
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tcsh.spec,v $
Revision 1.90  2011/09/10 13:04:51  qboosh
- ac version

Revision 1.89  2011/09/01 18:52:07  arekm
- rel 6; fix SYSMALLOC

Revision 1.88  2011/09/01 17:05:01  arekm
- release 5

Revision 1.87  2011/09/01 08:59:42  arekm
- release 4

Revision 1.86  2011/08/31 20:10:04  arekm
- rel 3; link with ncurses

Revision 1.85  2011/08/31 18:33:10  arekm
- release 2

Revision 1.84  2011/01/29 00:07:26  sparky
- dropped pre-cvs changelog

Revision 1.83  2009/08/28 19:21:19  arekm
- up to 6.17.00

Revision 1.82  2009/04/09 09:47:32  baggins
- rel 1

Revision 1.81  2009/04/09 09:46:30  baggins
- reordered patches

Revision 1.80  2009/04/09 09:45:59  baggins
- up to 6.16.0

Revision 1.79  2008/07/27 22:21:37  arekm
- release 5

Revision 1.78  2007-02-12 22:09:17  glen
- tabs in preamble

Revision 1.77  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.76  2006/07/26 22:49:31  matowy
- added URL

Revision 1.75  2006/04/16 13:43:13  pluto
- release 4 for rebuild (/bin/csh: undefined symbol: _SDA_BASE_ @ th-ppc).

Revision 1.74  2005/12/04 23:37:16  glen
- adapterized (sorted %verify flags)

Revision 1.73  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.72  2005/04/17 00:32:58  mmazur
- rel 3; use glibc's malloc implementation, not the internal one

Revision 1.71  2004/10/17 16:57:03  blues
- release 2 - rebuild with working env.d in login

Revision 1.70  2004/09/05 11:30:57  qboosh
- updated to 6.13.00
- removed obsolete fhs,locale patches
- now dspmbyte is broken in sources, replaced broken dspmbyte patch to fix it
- updated utmp,misc,rlimit_locks patches

Revision 1.69  2004/04/29 15:48:15  adgor
- Added csh.login
- Config files marked as %%config
- Release 8

Revision 1.68  2004/04/13 20:46:14  qboosh
- no need to bcond preambles and scripts; new-style second bcond, cosmetics

Revision 1.67  2004/04/13 08:21:42  agaran
- added bcond without static

Revision 1.66  2004/01/02 18:07:22  jajcus
- Release: 7 (STBR after AMD64 fixes)

Revision 1.65  2003/12/26 17:16:04  jajcus
- copy config.sub from automake

Revision 1.64  2003/10/25 13:25:42  ankry
- pl: linkowanie -> konsolidacja, shell -> powłoka

Revision 1.63  2003/08/30 18:09:26  mmazur
- rel 6 for ac

Revision 1.62  2003/06/06 13:22:02  qboosh
- added nls-codesets patch (needed for gencat from glibc 2.3.x)
- BR: iconv

Revision 1.61  2003/05/25 11:01:00  malekith
- massive attack, adding Source-md5

Revision 1.60  2003/05/25 06:27:13  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.59  2003/05/22 12:41:09  qboosh
- dspmbyte patch disabled again - breaks iso-8859-* input

Revision 1.58  2003/05/18 03:41:09  kloczek
- typo.

Revision 1.57  2003/05/18 03:28:29  kloczek
- renumber patches.

Revision 1.56  2003/05/18 03:12:07  kloczek
- added regeenrate ac files,
- added no_TERMCAP patch (PLD is TERMINFO centric and this can be removed
  for make tch smaller).

Revision 1.55  2003/05/16 12:03:45  djrzulf
- back to %configure,

Revision 1.54  2003/05/15 20:26:49  djrzulf
- switched to %%configure2_13

Revision 1.53  2003/02/10 20:44:12  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.52  2003/01/14 15:40:56  radek
- version 6.12.00
- updated patch2, removed -login.patch (applied)

Revision 1.51  2002/11/07 12:57:20  agaran
BR groff

Revision 1.50  2002/11/06 21:32:25  kloczek
- merge translations from KSI and Conectiva.

Revision 1.49  2002/09/29 15:51:39  speedy
- fixed bcond [we can't use %patch4 in bcond env]
- release 3, STBR

Revision 1.48  2002/08/24 00:50:08  rrw
- conditional ability to build tcsh with working history mechanism;

Revision 1.47  2002/06/24 13:14:15  kloczek
- use new %doc.

Revision 1.46  2002/06/15 09:52:06  ankry
- fixed %%lang
- release 2

Revision 1.45  2002/05/21 23:14:48  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.44  2002/02/23 04:49:04  kloczek
- adapterized.

Revision 1.43  2002/02/22 23:29:47  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.42  2002/01/22 22:34:53  qboosh
- the same, upper case

Revision 1.41  2002/01/22 22:32:42  qboosh
- typo

Revision 1.40  2002/01/18 02:15:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.39  2001/11/10 16:45:31  jajcus
- s/Distibutable/distributable/ in License

Revision 1.38  2001/10/11 14:32:49  qboosh
- BuildRequires: autoconf

Revision 1.37  2001/09/27 08:44:08  migo
- adapterized (fixed groups)

Revision 1.36  2001/08/23 16:52:12  filon
- changed: make -> %%{__make}

Revision 1.35  2001/08/13 22:26:26  kloczek
- updated to 6.10.02.

Revision 1.34  2001/06/02 21:11:14  qboosh
- disabled dspmbyte patch - it fixes only utf-coded iso-8859-1, but
  breaks iso-8859-2 (both 8-bit and utf-coded)
- release 7

Revision 1.33  2001/05/21 19:58:31  baggins
- typo

Revision 1.32  2001/04/28 09:38:22  kloczek
- updated to 6.10.01.

Revision 1.31  2001/04/21 08:02:13  kloczek
- release 6,
- merge rlimit_locks (Conectiva), dspmbyte (rawhide) patches,
- added using %%{rpmldflags} macro in %build.

Revision 1.30  2001/03/22 08:01:55  kloczek
- updated to 6.10 (release 5),
- updated patches and merged login patch from rawhide).

Revision 1.29  2001/03/20 18:18:55  qboosh
- time patch
- use rpm automation (man gzipping), use %%{debug} macro
- changed postun to preun, simplified post/preun scripts
- release 9

Revision 1.28  2000/12/14 21:10:26  waszi
- no more localized /etc/skel

Revision 1.27  2000/08/19 19:20:07  kloczek
- release 8,
- merge locale patch from rawhide,
- add install catgets data with messages translations for tcsh.

Revision 1.26  2000/08/19 18:17:12  kloczek
- release 7,
- added no_stat_utmp patch with remove direct stat() utmp file on preparing
  informations for who watches,
- spec adapterized.

Revision 1.25  2000/07/13 23:23:14  baggins
- release 6
- rebuild with ncurses 5.1

Revision 1.24  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.23  2000/05/29 20:05:38  baggins
- release 5
- added no-history-timestamps patch

Revision 1.22  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.21  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.20  2000/03/12 05:59:19  kloczek
- release 4,
- added two patches from rawhide.

Revision 1.19  1999/11/16 17:51:39  kloczek
- fix: replace -lncurses by -ltinfo.

Revision 1.18  1999/11/16 17:28:59  kloczek
- relaease 3,
- build against ncurses 5.0.

Revision 1.17  1999/10/07 03:01:18  kloczek
- release 2,
- pass bindir=/bin to ./configure,
- fix security bug with max path variable size (patch from rawhide).

Revision 1.16  1999/09/15 18:37:10  kloczek
- added BuildRequires rules.

Revision 1.15  1999/08/18 20:04:36  kloczek
- update to 6.09.00,
- apss LDFLAGS="-s" instead stripping on install,
- update Source url.

Revision 1.14  1999/07/15 21:28:57  kloczek
- fix problem with registering doted files in %files.

Revision 1.13  1999/07/15 20:34:15  kloczek
- added .login to system skel.

Revision 1.12  1999/07/15 20:19:43  kloczek
- added using %%configure macro,
- simplification in %install.

Revision 1.11  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).
